<?php
require_once 'geocodes_classes/_base.class.php';
class geocodes extends geocodes_base {

function dispatch_index() {
	$this->assign_search_form();

	$result = $this->display_record();
	switch($this->QuictyStatus) {
		case 'INSERT':
		case 'UPDATE':
		case 'DELETE':
			redirect('<!--{$folder_name}-->/geocodes/');
		case 'BROWSE':
		case 'EDIT':
		case 'INSERT_CONFIRM':
		case 'UPDATE_CONFIRM':
		case 'DELETE_CONFIRM':
			break;
	}
	$this->assign_form('input_form',$this->form);

	$list_table = $this->list_records('');
	$this->assign('table_view',$this->list->display_table_value($list_table));
	$this->assign('display_cmd','info');
	$this->page['pager'] = $this->list->get_pager_links();

	$this->page['name'] = 'GeoCodes';
	$this->assign('page',$this->page);
	return $this->display($this->current_template);
}

} // end of geocodes class
?>